<!DOCTYPE html>
<html>
  <head>
    <title>DOM</title>
  </head>
  <body>
    <p>YouTube Subscribe Button</p>
    <button onclick="subscribe();" class="js-subscribe-button">
      Subscribe
    </button>

    <p>Amazon Shipping Project</p>
    <input
      placeholder="Cost of Order"
      class="js-cost-input"
      onkeydown="
      handleCostKeyDown(event);
      "
    />

    <button
      onclick="
    calculateTotal();
    "
    >
      Calculate
    </button>

    <p class="js-total-cost"></p>

    <script>
      String(25);
      console.log("25" - 5);
      console.log("25" + 5);

      console.log(window.document);

      function handleCostKeyDown(event) {
        if (event.key === "Enter") {
          calculateTotal();
        }
      }

      function calculateTotal() {
        const inputElement = document.querySelector(".js-cost-input");
        let cost = Number(inputElement.value);

        if (cost < 40) {
          cost = cost + 10;
        }

        document.querySelector(".js-total-cost").innerHTML = `$${cost}`;
      }

      function subscribe() {
        const buttonElement = document.querySelector(".js-subscribe-button");

        if (buttonElement.innerText === "Subscribe") {
          buttonElement.innerHTML = "Subscribed";
        } else {
          buttonElement.innerHTML = "Subscribe";
        }
      }
    </script>
  </body>
</html>
